<?php
/*
Plugin Name: PopUp Magic
Plugin URI: http://wpthemesense.com
Description: Boost your sales, affiliate commissions, amazon earning and more with this powerful plugin
Author: Yoedi
Version: 1.0
Author URI: http://wpthemesense.com

*/
register_activation_hook(__FILE__,'popup_magic_install');
function popup_magic_install() {add_option('popup_magic_st','yes');}
define( 'MYPLUGINNAME_PATH', plugin_dir_path(__FILE__) );
function popup_magic_foot(){if (is_single()) {popupmagic_css();echo popup_magic_function();}}
function popup_magic_foot2(){if (is_archive()) {popupmagic_css();echo popup_magic_function();}}
function popup_magic_foot3(){if (is_page()) {popupmagic_css();echo popup_magic_function();}}
function popup_magic_foot4(){if (is_home()) {popupmagic_css();echo popup_magic_function();}}

if(get_option('popup_magic_postingan')=='yes'){add_action("wp_footer","popup_magic_foot");}else{echo '';}
if(get_option('popup_magic_arsipan')=='yes'){add_action("wp_footer","popup_magic_foot2");}else{echo '';}
if(get_option('popup_magic_halaman')=='yes'){add_action("wp_footer","popup_magic_foot3");}else{echo '';}
if(get_option('popup_magic_ngarepan')=='yes'){add_action("wp_footer","popup_magic_foot4");}else{echo '';}

function kotak_dialog_popupmagic() {
    $args = array(
        'public' => true,
        'label' => 'PopUp',
        'supports' => array(
            'title',
            'editor',
            'custom-fields',
          	'thumbnail'
        )
    );
    register_post_type('popupmagic', $args);
}
add_theme_support( 'post-thumbnails' ); 
add_action('init', 'kotak_dialog_popupmagic');
function popupmagic_cf($post_id) {
    if ( $_GET['post_type'] == 'popupmagic' ) { 
        add_post_meta($post_id, 'popup_button', '', true);
        add_post_meta($post_id, 'link', '', true);      
    }
    return true;
}
add_action('wp_insert_post', 'popupmagic_cf');
add_action("wp_head","popup_magic_redir");
function popup_magic_redir(){include  plugin_dir_path( __FILE__ )."popupmagic_redirect.php";}
register_deactivation_hook( __FILE__, 'popup_magic_st_remove' );
function popup_magic_st_remove() {
delete_option('popup_magic_st');
}
add_action('admin_menu', 'popup_magic_st_create_menu');
function popup_magic_st_create_menu() {
add_menu_page('Popup Magic Settings', 'Popup Magic', 'administrator',__FILE__,'popup_magic_st_settings_page');
add_action( 'admin_init', 'register_popup_magic_st_settings' );
}
function register_popup_magic_st_settings() {
	//register our settings
register_setting( 'popup_magic_st', 'popup_magic_lamabn' );	
register_setting( 'popup_magic_st', 'popup_magic_ngarepan' );
register_setting( 'popup_magic_st', 'popup_magic_postingan' );
register_setting( 'popup_magic_st', 'popup_magic_halaman' );
register_setting( 'popup_magic_st', 'popup_magic_arsipan' );
register_setting( 'popup_magic_st', 'popup_magic_jsc');
register_setting( 'popup_magic_st', 'popup_magic_bgcolor' );	
register_setting( 'popup_magic_st', 'popup_magic_titlecolor' );
register_setting( 'popup_magic_st', 'popup_magic_bordercolor' );  
register_setting( 'popup_magic_st', 'popup_magic_textcolor' );
register_setting( 'popup_magic_st', 'popup_magic_buttoncolor' );
register_setting( 'popup_magic_st', 'popup_magic_buttontextcolor' );
}
function popup_magic_st_settings_page() {
?>
<style type="text/css" media="all">
#wrap{width:800px;padding:10px;}
table.form-table{width:480px;border:1px solid #ddd;margin-bottom:10px;float:left;}
#wrap h3 {width: 470px;padding:10px 0 10px 10px;text-align:left;margin-bottom:0px;color:#fff;margin-top:20px;background:#ff9900;clear:both;}
.submit {float:left;margin:10px;padding:7px}
#wrap input{width:200px;padding:6px;}
#wrap th{width:250px;margin:10px;}
#wrap td{width:250px;margin:10px;}
</style>
<div id="wrap">
<h2 style="font-size:25px;font-weight:100">PopUp Magic Settings</h2>
<form method="post" action="options.php">
<?php settings_fields( 'popup_magic_st' ); ?>
<table class="form-table">
<h3>General Option</h3>    
    <tr valign="top">
    <th scope="row">Show Alert After (seconds)</th>
    <td><input type="textarea" name="popup_magic_lamabn" value="<?php echo get_option('popup_magic_lamabn'); ?>" /></td>
    </tr>
  <tr valign="top">
  <th scope="row">Show on homepage</th>
	<td><select id="popup_magic_ngarepan" name="popup_magic_ngarepan">
	<option value="yes"  <?php if (get_option('popup_magic_ngarepan')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('popup_magic_ngarepan')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Show on Single post</th>
	<td><select id="popup_magic_postingan" name="popup_magic_postingan">
	<option value="yes"  <?php if (get_option('popup_magic_postingan')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('popup_magic_postingan')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Show on Page</th>
	<td><select id="popup_magic_halaman" name="popup_magic_halaman">
	<option value="yes"  <?php if (get_option('popup_magic_halaman')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('popup_magic_halaman')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Show on Archive page</th>
	<td><select id="popup_magic_arsipan" name="popup_magic_arsipan">
	<option value="yes"  <?php if (get_option('popup_magic_arsipan')=="yes"){echo "selected";}?>>Yes</option>
	<option value="no" <?php if (get_option('popup_magic_arsipan')=="no"){echo "selected";}?>>No</option>
	</select></td></tr>
  <tr valign="top">
  <th scope="row">Theme already included javascript</th>
	<td><select id="popup_magic_jsc" name="popup_magic_jsc">
	<option value='<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>'  <?php if (get_option('popup_magic_jsc')=='<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>'){echo "selected";}?>>No</option>
	<option value=" " <?php if (get_option('popup_magic_jsc')==" "){echo "selected";}?>>Yes</option>
	</select></td></tr>
</table>
<table class="form-table">
<h3>Coloring</h3>
  <?php wp_enqueue_script('my_script', plugins_url( 'jscolor.js' , __FILE__ )); ?>
    <tr valign="top">
    <th scope="row">Background Color</th>
    <td><input type="textarea" name="popup_magic_bgcolor" value="<?php echo get_option('popup_magic_bgcolor'); ?>" class="color"/></td>
    </tr>
    <tr valign="top">
    <th scope="row">Title Color</th>
    <td><input type="textarea" name="popup_magic_titlecolor" value="<?php echo get_option('popup_magic_titlecolor'); ?>" class="color"/></td>
    </tr>	
    <tr valign="top">
    <th scope="row">Border Color</th>
    <td><input type="textarea" name="popup_magic_bordercolor" value="<?php echo get_option('popup_magic_bordercolor'); ?>" class="color"/></td>
    </tr>
    <tr valign="top">
    <th scope="row">Text Color</th>
    <td><input type="textarea" name="popup_magic_textcolor" value="<?php echo get_option('popup_magic_textcolor'); ?>" class="color"/></td>
    </tr>
    <tr valign="top">
    <th scope="row">Button Color</th>
    <td><input type="textarea" name="popup_magic_buttoncolor" value="<?php echo get_option('popup_magic_buttoncolor'); ?>" class="color"/></td>
    </tr>
    <tr valign="top">
    <th scope="row">Button Text Color</th>
    <td><input type="textarea" name="popup_magic_buttontextcolor" value="<?php echo get_option('popup_magic_buttontextcolor'); ?>" class="color"/></td>
    </tr>  
</table>    
  <div style="clear:both"></div>
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php } ?>
<?php 
function popupmagic_css(){
echo get_option('popup_magic_jsc');echo '<script type="text/javascript">
$(document).ready(function () {
$(\'.notombolpopupmagic\').click(function() {
    $(\'#popupmagictampil\').fadeOut(500);
});
    setTimeout(function(){
        $(\'#popupmagictampil\').fadeIn(500);
    }, ';echo get_option('popup_magic_lamabn')*1000;  echo ');
});
</script>

<style type="text/css" media="all">
@font-face {font-family: \'Alef\'; font-style: normal; font-weight: 400; src: local(\'Alef Regular\'), local(\'Alef-Regular\'), url(http://themes.googleusercontent.com/static/fonts/alef/v1/C8wmYJieZdfX3SNk-GwKVA.woff) format(\'woff\')}
#popupmagictampil{position:relative;display:none;}
#popupmagicndelik{box-shadow:0px 0px 1000px #999;border:4px solid #'.get_option('popup_magic_bordercolor').';width:50%;top:0;height:auto;padding:10px;background:#'.get_option('popup_magic_bgcolor').';position:fixed;margin:7% 23% 0px 23%;text-align:left;font-size:18px;font-family:Alef;color:#'.get_option('popup_magic_textcolor').'}
#popupmagicndelik p{color:#'.get_option('popup_magic_textcolor').';font-size:18px;line-height:1.4;padding-top:5px;padding-bottom:0px;font-weight:400;margin-bottom:4px;margin-top:4px;}
#popupmagicndelik h2{font-size:25px;margin:0px;color:#'.get_option('popup_magic_titlecolor').';padding:10px;margin-left:-10px;margin-right:-10px;}
#popupmagicndelik ul{margin:10px 0px 10px 250px;}
#popupmagicndelik ul li{padding:5px 10px 5px 36px;margin:0px 10px 0px 17px;background:url('.plugins_url( 'ok.png' , __FILE__ ).')5px no-repeat;list-style:none;}
#popupmagicndelik img{float:left;margin:0px 10px 10px 10px;width:250px;}
#bagiantombolpopup{margin-top:10px}
#bagiantombolpopup a{text-decoration:none;color:#'.get_option('popup_magic_buttontextcolor').'}
#oktombolpopupmagic{font-size:18px;font-weight:bold;color:#'.get_option('popup_magic_buttontextcolor').';background:#'.get_option('popup_magic_buttoncolor').';margin:0px;border:1px solid #fff;box-shadow:0px 0px 2px #444;padding:5px 10px 5px 10px;cursor:pointer;float:right}
</style>';}?>
<?php 
function popup_magic_function($type='__popupmagicfunction') {  
    $args = array(
    'post_type' => 'popupmagic',
		'orderby' => 'rand',
		'posts_per_page' => 1
    );  
    $result .= '<div id="popupmagictampil">';  
    $loop = new WP_Query($args);  
    while ($loop->have_posts()) {  
    $loop->the_post();  
    $linkeluar = get_post_meta(get_the_ID(), 'link', true);
    $btn = get_post_meta(get_the_ID(), 'popup_button', true);      
		$judul = get_the_title($post->ID);
    $isi = get_the_content($post->ID);
		$urlblog = get_bloginfo('url');
    $result .= '<div id="popupmagicndelik"><a class="notombolpopupmagic"><img style="float:right;margin:-25px -25px;width:30px;position:relative;cursor:pointer" src="'.plugins_url( 'close.png' , __FILE__ ).'"></a><h2>'.$judul.'</h2><img src="'.wp_get_attachment_url( get_post_thumbnail_id($post->ID, 'thumbnail') ).'">'.$isi.'<div id="bagiantombolpopup"><br/><a href="'.$linkeluar.'"><span id="oktombolpopupmagic">'.$btn.'</span></a></div><br style="clear:both">
		</div> ';}
    $result .='</div>';
    return $result;  
}
?>